Gecode::Int::BoolTraceView Class Reference

Duplicate of a Boolean view. More...

`#include <bool-trace-view.hpp>`

## Public Member Functions

| BoolTraceView (void)
| Default constructor (initializes with no view).
| BoolTraceView (Space &home, BoolView y)
| Duplicate view y.
void | prune (Space &home, BoolView y, const Delta &d)
| Update duplicated view from view y and modification delta d.
void | update (Space &home, BoolTraceView x)
| Update duplicate view during copying.

## Static Public Member Functions

static unsigned int | slack (BoolView x)
| Return slack of x.

## Detailed Description

Duplicate of a Boolean view.

Definition at line 37 of file bool-trace-view.hpp.

## Constructor & Destructor Documentation

## BoolTraceView() [1/2]

Gecode::Int::BoolTraceView::BoolTraceView | ( | void |  | ) |

inline

Default constructor (initializes with no view).

Definition at line 53 of file bool-trace-view.hpp.

## BoolTraceView() [2/2]

Gecode::Int::BoolTraceView::BoolTraceView | ( | Space & | home,
|  | BoolView | y )

inline

Duplicate view y.

Definition at line 55 of file bool-trace-view.hpp.

## Member Function Documentation

## prune()

void Gecode::Int::BoolTraceView::prune | ( | Space & | home,
|  | BoolView | y,
|  | const Delta & | d )

inline

Update duplicated view from view y and modification delta d.

Definition at line 57 of file bool-trace-view.hpp.

## update()

void Gecode::Int::BoolTraceView::update | ( | Space & | home,
|  | BoolTraceView | x )

inline

Update duplicate view during copying.

Definition at line 59 of file bool-trace-view.hpp.

## slack()

unsigned int Gecode::Int::BoolTraceView::slack | ( | BoolView | x | ) |

inline static

Return slack of x.

Definition at line 61 of file bool-trace-view.hpp.

The documentation for this class was generated from the following file:

- gecode/int/trace/bool-trace-view.hpp